RewriteEngine on
RewriteRule "(^|/)\.(?!well-known\/)" 404 [L]
RewriteCond %{REQUEST_FILENAME} !-f
RewriteCond %{REQUEST_FILENAME} !-d
RewriteCond %{REQUEST_URI} !=/favicon.ico
RewriteRule ^(.*)$ index.php [L,QSA]

RewriteRule "^.htaccess" 404 [L]
RewriteRule "^config.rb" 404 [L]
RewriteRule "^.git(/|ignore)?" 404 [L]
RewriteRule "^package(-lock)?.json" 404 [L]
RewriteRule "^postcss.config.js" 404 [L]
RewriteRule "^tailwind.config.js" 404 [L]
RewriteRule "^oldcss" 404 [L]
RewriteRule "^node_modules" 404 [L]
RewriteRule "^libs" 404 [L]
RewriteRule "^pcss" 404 [L]
RewriteRule "^.DS_Store" 404 [L]
